[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TCustomDBComboBox.WndProc

Handles cut, copy and paste window messages for the control.

## Declaration

Source position: dbctrls.pp line 773

`protected procedure TCustomDBComboBox.WndProc(`
`var Message: TLMessage`
`); override;`

## Arguments

`Message` |  | LCL window message examined in the method.

## Description

WndProc is an overridden method in TCustomDBComboBox. WndProc ensures that LCL Cut, Copy, and Paste window messages are applied when both the control and the dataset can be modified. WndProc uses the internal TFieldDataLink instance to examine the value in CanModify. When it is True, the inherited method is called. Otherwise, the Message result is set to 1 to prevent calling the default window process.

The inherited method is called for LCL window messages other than Cut, Copy, and Paste.

## See also

TFieldDataLink.CanModify |  | True if the linked field is capable of being modified.
TWinControl.WndProc |  | Adds special handling for focus and input messages, and notifies the DockManager.